Security Enhanced Linux Reference Policy

# Layer: services

## Module: dcc

Interfaces

### Description:

Distributed checksum clearinghouse spam filtering

### Interfaces:

dcc_domtrans_cdcc( domain )

##### Summary

Execute cdcc in the cdcc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dcc_domtrans_client( domain )

##### Summary

Execute dcc_client in the dcc_client domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dcc_domtrans_dbclean( domain )

##### Summary

Execute dbclean in the dcc_dbclean domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dcc_run_cdcc( domain , role )

##### Summary

Execute cdcc in the cdcc domain, and allow the specified role the cdcc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the cdcc domain.

dcc_run_client( domain , role )

##### Summary

Execute dcc_client in the dcc_client domain, and allow the specified role the dcc_client domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the dcc_client domain.

dcc_run_dbclean( domain , role )

##### Summary

Execute dbclean in the dcc_dbclean domain, and allow the specified role the dcc_dbclean domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the dcc_dbclean domain.

dcc_signal_client( domain )

##### Summary

Send a signal to the dcc_client.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dcc_stream_connect_dccifd( domain )

##### Summary

Connect to dccifd over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return